Skip to content
Ona Docs

ListWorkflowExecutionActions

POST/gitpod.v1.WorkflowService/ListWorkflowExecutionActions

Lists workflow execution actions with optional filtering.

Use this method to:

  • Monitor individual action execution status
  • Debug action failures
  • Track resource usage per action

Examples

  • List execution actions for workflow execution:

    Shows all execution actions for a specific workflow execution.

    filter:
      workflowExecutionIds: ["d2c94c27-3b76-4a42-b88c-95a85e392c68"]
    pagination:
      pageSize: 20
Query ParametersExpand Collapse
token: optional string
pageSize: optional number
maximum100
minimum0
Body ParametersJSONExpand Collapse
filter: optional object { phases, workflowExecutionActionIds, workflowExecutionIds, workflowIds }
phases: optional array of "WORKFLOW_EXECUTION_ACTION_PHASE_UNSPECIFIED" or "WORKFLOW_EXECUTION_ACTION_PHASE_PENDING" or "WORKFLOW_EXECUTION_ACTION_PHASE_RUNNING" or 5 more
One of the following:
"WORKFLOW_EXECUTION_ACTION_PHASE_UNSPECIFIED"
"WORKFLOW_EXECUTION_ACTION_PHASE_PENDING"
"WORKFLOW_EXECUTION_ACTION_PHASE_RUNNING"
"WORKFLOW_EXECUTION_ACTION_PHASE_STOPPING"
"WORKFLOW_EXECUTION_ACTION_PHASE_STOPPED"
"WORKFLOW_EXECUTION_ACTION_PHASE_DELETING"
"WORKFLOW_EXECUTION_ACTION_PHASE_DELETED"
"WORKFLOW_EXECUTION_ACTION_PHASE_DONE"
workflowExecutionActionIds: optional array of string
workflowExecutionIds: optional array of string
workflowIds: optional array of string
ReturnsExpand Collapse
workflowExecutionActions: optional array of WorkflowExecutionAction { id, metadata, spec, status }
id: optional string
formatuuid
metadata: optional object { actionName, finishedAt, startedAt, 2 more }

WorkflowExecutionActionMetadata contains workflow execution action metadata.

actionName: optional string

Human-readable name for this action based on its context. Examples: “gitpod-io/gitpod-next” for repository context, “My Project” for project context. Will be empty string for actions created before this field was added.

finishedAt: optional string

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are “smeared” so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

 Timestamp timestamp;
 timestamp.set_seconds(time(NULL));
 timestamp.set_nanos(0);

Example 2: Compute Timestamp from POSIX gettimeofday().

 struct timeval tv;
 gettimeofday(&tv, NULL);

 Timestamp timestamp;
 timestamp.set_seconds(tv.tv_sec);
 timestamp.set_nanos(tv.tv_usec * 1000);

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

 FILETIME ft;
 GetSystemTimeAsFileTime(&ft);
 UINT64 ticks = (((UINT64)ft.dwHighDateTime) << 32) | ft.dwLowDateTime;

 // A Windows tick is 100 nanoseconds. Windows epoch 1601-01-01T00:00:00Z
 // is 11644473600 seconds before Unix epoch 1970-01-01T00:00:00Z.
 Timestamp timestamp;
 timestamp.set_seconds((INT64) ((ticks / 10000000) - 11644473600LL));
 timestamp.set_nanos((INT32) ((ticks % 10000000) * 100));

Example 4: Compute Timestamp from Java System.currentTimeMillis().

 long millis = System.currentTimeMillis();

 Timestamp timestamp = Timestamp.newBuilder().setSeconds(millis / 1000)
     .setNanos((int) ((millis % 1000) * 1000000)).build();

Example 5: Compute Timestamp from Java Instant.now().

 Instant now = Instant.now();

 Timestamp timestamp =
     Timestamp.newBuilder().setSeconds(now.getEpochSecond())
         .setNanos(now.getNano()).build();

Example 6: Compute Timestamp from current time in Python.

 timestamp = Timestamp()
 timestamp.GetCurrentTime()

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is “{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z” where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The “Z” suffix indicates the timezone (“UTC”); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by “Z”) when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, “2017-01-15T01:30:15.01Z” encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec ‘%Y-%m-%dT%H:%M:%S.%fZ’. Likewise, in Java, one can use the Joda Time’s ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

formatdate-time
startedAt: optional string

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are “smeared” so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

 Timestamp timestamp;
 timestamp.set_seconds(time(NULL));
 timestamp.set_nanos(0);

Example 2: Compute Timestamp from POSIX gettimeofday().

 struct timeval tv;
 gettimeofday(&tv, NULL);

 Timestamp timestamp;
 timestamp.set_seconds(tv.tv_sec);
 timestamp.set_nanos(tv.tv_usec * 1000);

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

 FILETIME ft;
 GetSystemTimeAsFileTime(&ft);
 UINT64 ticks = (((UINT64)ft.dwHighDateTime) << 32) | ft.dwLowDateTime;

 // A Windows tick is 100 nanoseconds. Windows epoch 1601-01-01T00:00:00Z
 // is 11644473600 seconds before Unix epoch 1970-01-01T00:00:00Z.
 Timestamp timestamp;
 timestamp.set_seconds((INT64) ((ticks / 10000000) - 11644473600LL));
 timestamp.set_nanos((INT32) ((ticks % 10000000) * 100));

Example 4: Compute Timestamp from Java System.currentTimeMillis().

 long millis = System.currentTimeMillis();

 Timestamp timestamp = Timestamp.newBuilder().setSeconds(millis / 1000)
     .setNanos((int) ((millis % 1000) * 1000000)).build();

Example 5: Compute Timestamp from Java Instant.now().

 Instant now = Instant.now();

 Timestamp timestamp =
     Timestamp.newBuilder().setSeconds(now.getEpochSecond())
         .setNanos(now.getNano()).build();

Example 6: Compute Timestamp from current time in Python.

 timestamp = Timestamp()
 timestamp.GetCurrentTime()

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is “{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z” where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The “Z” suffix indicates the timezone (“UTC”); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by “Z”) when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, “2017-01-15T01:30:15.01Z” encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec ‘%Y-%m-%dT%H:%M:%S.%fZ’. Likewise, in Java, one can use the Joda Time’s ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

formatdate-time
workflowExecutionId: optional string
formatuuid
workflowId: optional string
formatuuid
spec: optional object { context, limits }

WorkflowExecutionActionSpec contains the specification for this execution action.

context: optional AgentCodeContext { contextUrl, environmentId, projectId, pullRequest }

Context for the execution action - specifies where and how the action executes. This is resolved from the workflow trigger context and contains the specific project, repository, or agent context for this execution instance.

contextUrl: optional object { environmentClassId, url }
environmentClassId: optional string
formatuuid
url: optional string
formaturi
environmentId: optional string
formatuuid
projectId: optional string
formatuuid
pullRequest: optional object { id, author, draft, 6 more }

Pull request context - optional metadata about the PR being worked on This is populated when the agent execution is triggered by a PR workflow or when explicitly provided through the browser extension

id: optional string

Unique identifier from the source system (e.g., “123” for GitHub PR #123)

author: optional string

Author name as provided by the SCM system

draft: optional boolean

Whether this is a draft pull request

fromBranch: optional string

Source branch name (the branch being merged from)

repository: optional object { cloneUrl, host, name, owner }

Repository information

cloneUrl: optional string
host: optional string
name: optional string
owner: optional string
state: optional State

Current state of the pull request

One of the following:
"STATE_UNSPECIFIED"
"STATE_OPEN"
"STATE_CLOSED"
"STATE_MERGED"
title: optional string

Pull request title

toBranch: optional string

Target branch name (the branch being merged into)

url: optional string

Pull request URL (e.g., “https://github.com/owner/repo/pull/123”)

limits: optional object { maxTime }

PerExecution defines limits per execution action.

maxTime: optional string

Maximum time allowed for a single execution action. Use standard duration format (e.g., “30m” for 30 minutes, “2h” for 2 hours).

formatregex
status: optional object { agentExecutionId, environmentId, failures, 3 more }

WorkflowExecutionActionStatus contains the current status of a workflow execution action.

agentExecutionId: optional string
environmentId: optional string
formatuuid
failures: optional array of object { code, message, meta, 2 more }

Structured failures that caused the workflow execution action to fail. Provides detailed error codes, messages, and retry information.

code: optional "WORKFLOW_ERROR_CODE_UNSPECIFIED" or "WORKFLOW_ERROR_CODE_ENVIRONMENT_ERROR" or "WORKFLOW_ERROR_CODE_AGENT_ERROR"

Error code identifying the type of error.

One of the following:
"WORKFLOW_ERROR_CODE_UNSPECIFIED"
"WORKFLOW_ERROR_CODE_ENVIRONMENT_ERROR"
"WORKFLOW_ERROR_CODE_AGENT_ERROR"
message: optional string

Human-readable error message.

meta: optional map[string]

Additional metadata about the error. Common keys include:

  • environment_id: ID of the environment
  • task_id: ID of the task
  • service_id: ID of the service
  • workflow_id: ID of the workflow
  • workflow_execution_id: ID of the workflow execution
reason: optional string

Reason explaining why the error occurred. Examples: “not_found”, “stopped”, “deleted”, “creation_failed”, “start_failed”

retry: optional object { retriable, retryAfter }

Retry configuration. If not set, the error is considered non-retriable.

retriable: optional boolean

Whether the error is retriable.

retryAfter: optional string

Suggested duration to wait before retrying. Only meaningful when retriable is true.

formatregex
phase: optional "WORKFLOW_EXECUTION_ACTION_PHASE_UNSPECIFIED" or "WORKFLOW_EXECUTION_ACTION_PHASE_PENDING" or "WORKFLOW_EXECUTION_ACTION_PHASE_RUNNING" or 5 more

WorkflowExecutionActionPhase defines the phases of workflow execution action.

One of the following:
"WORKFLOW_EXECUTION_ACTION_PHASE_UNSPECIFIED"
"WORKFLOW_EXECUTION_ACTION_PHASE_PENDING"
"WORKFLOW_EXECUTION_ACTION_PHASE_RUNNING"
"WORKFLOW_EXECUTION_ACTION_PHASE_STOPPING"
"WORKFLOW_EXECUTION_ACTION_PHASE_STOPPED"
"WORKFLOW_EXECUTION_ACTION_PHASE_DELETING"
"WORKFLOW_EXECUTION_ACTION_PHASE_DELETED"
"WORKFLOW_EXECUTION_ACTION_PHASE_DONE"
stepStatuses: optional array of object { error, finishedAt, phase, 3 more }

Step-level progress tracking

error: optional object { code, message, meta, 2 more }

Structured error that caused the step to fail. Provides detailed error code, message, and retry information.

code: optional "WORKFLOW_ERROR_CODE_UNSPECIFIED" or "WORKFLOW_ERROR_CODE_ENVIRONMENT_ERROR" or "WORKFLOW_ERROR_CODE_AGENT_ERROR"

Error code identifying the type of error.

One of the following:
"WORKFLOW_ERROR_CODE_UNSPECIFIED"
"WORKFLOW_ERROR_CODE_ENVIRONMENT_ERROR"
"WORKFLOW_ERROR_CODE_AGENT_ERROR"
message: optional string

Human-readable error message.

meta: optional map[string]

Additional metadata about the error. Common keys include:

  • environment_id: ID of the environment
  • task_id: ID of the task
  • service_id: ID of the service
  • workflow_id: ID of the workflow
  • workflow_execution_id: ID of the workflow execution
reason: optional string

Reason explaining why the error occurred. Examples: “not_found”, “stopped”, “deleted”, “creation_failed”, “start_failed”

retry: optional object { retriable, retryAfter }

Retry configuration. If not set, the error is considered non-retriable.

retriable: optional boolean

Whether the error is retriable.

retryAfter: optional string

Suggested duration to wait before retrying. Only meaningful when retriable is true.

formatregex
finishedAt: optional string

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are “smeared” so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

 Timestamp timestamp;
 timestamp.set_seconds(time(NULL));
 timestamp.set_nanos(0);

Example 2: Compute Timestamp from POSIX gettimeofday().

 struct timeval tv;
 gettimeofday(&tv, NULL);

 Timestamp timestamp;
 timestamp.set_seconds(tv.tv_sec);
 timestamp.set_nanos(tv.tv_usec * 1000);

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

 FILETIME ft;
 GetSystemTimeAsFileTime(&ft);
 UINT64 ticks = (((UINT64)ft.dwHighDateTime) << 32) | ft.dwLowDateTime;

 // A Windows tick is 100 nanoseconds. Windows epoch 1601-01-01T00:00:00Z
 // is 11644473600 seconds before Unix epoch 1970-01-01T00:00:00Z.
 Timestamp timestamp;
 timestamp.set_seconds((INT64) ((ticks / 10000000) - 11644473600LL));
 timestamp.set_nanos((INT32) ((ticks % 10000000) * 100));

Example 4: Compute Timestamp from Java System.currentTimeMillis().

 long millis = System.currentTimeMillis();

 Timestamp timestamp = Timestamp.newBuilder().setSeconds(millis / 1000)
     .setNanos((int) ((millis % 1000) * 1000000)).build();

Example 5: Compute Timestamp from Java Instant.now().

 Instant now = Instant.now();

 Timestamp timestamp =
     Timestamp.newBuilder().setSeconds(now.getEpochSecond())
         .setNanos(now.getNano()).build();

Example 6: Compute Timestamp from current time in Python.

 timestamp = Timestamp()
 timestamp.GetCurrentTime()

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is “{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z” where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The “Z” suffix indicates the timezone (“UTC”); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by “Z”) when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, “2017-01-15T01:30:15.01Z” encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec ‘%Y-%m-%dT%H:%M:%S.%fZ’. Likewise, in Java, one can use the Joda Time’s ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

formatdate-time
phase: optional "STEP_PHASE_UNSPECIFIED" or "STEP_PHASE_PENDING" or "STEP_PHASE_RUNNING" or 3 more
One of the following:
"STEP_PHASE_UNSPECIFIED"
"STEP_PHASE_PENDING"
"STEP_PHASE_RUNNING"
"STEP_PHASE_DONE"
"STEP_PHASE_FAILED"
"STEP_PHASE_CANCELLED"
startedAt: optional string

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are “smeared” so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

 Timestamp timestamp;
 timestamp.set_seconds(time(NULL));
 timestamp.set_nanos(0);

Example 2: Compute Timestamp from POSIX gettimeofday().

 struct timeval tv;
 gettimeofday(&tv, NULL);

 Timestamp timestamp;
 timestamp.set_seconds(tv.tv_sec);
 timestamp.set_nanos(tv.tv_usec * 1000);

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

 FILETIME ft;
 GetSystemTimeAsFileTime(&ft);
 UINT64 ticks = (((UINT64)ft.dwHighDateTime) << 32) | ft.dwLowDateTime;

 // A Windows tick is 100 nanoseconds. Windows epoch 1601-01-01T00:00:00Z
 // is 11644473600 seconds before Unix epoch 1970-01-01T00:00:00Z.
 Timestamp timestamp;
 timestamp.set_seconds((INT64) ((ticks / 10000000) - 11644473600LL));
 timestamp.set_nanos((INT32) ((ticks % 10000000) * 100));

Example 4: Compute Timestamp from Java System.currentTimeMillis().

 long millis = System.currentTimeMillis();

 Timestamp timestamp = Timestamp.newBuilder().setSeconds(millis / 1000)
     .setNanos((int) ((millis % 1000) * 1000000)).build();

Example 5: Compute Timestamp from Java Instant.now().

 Instant now = Instant.now();

 Timestamp timestamp =
     Timestamp.newBuilder().setSeconds(now.getEpochSecond())
         .setNanos(now.getNano()).build();

Example 6: Compute Timestamp from current time in Python.

 timestamp = Timestamp()
 timestamp.GetCurrentTime()

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is “{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z” where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The “Z” suffix indicates the timezone (“UTC”); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by “Z”) when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, “2017-01-15T01:30:15.01Z” encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec ‘%Y-%m-%dT%H:%M:%S.%fZ’. Likewise, in Java, one can use the Joda Time’s ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

formatdate-time
step: optional WorkflowStep { agent, pullRequest, task }

The step definition captured at execution time for immutability. This ensures the UI shows the correct step even if the workflow definition changes.

agent: optional object { prompt }

WorkflowAgentStep represents an agent step that executes with a prompt.

prompt: optional string

Prompt must be between 1 and 20,000 characters:

size(this) >= 1 && size(this) <= 20000
pullRequest: optional object { branch, description, draft, title }

WorkflowPullRequestStep represents a pull request creation step.

branch: optional string

Branch name must be between 1 and 255 characters:

size(this) >= 1 && size(this) <= 255
description: optional string

Description must be at most 20,000 characters:

size(this) <= 20000
draft: optional boolean
title: optional string

Title must be between 1 and 500 characters:

size(this) >= 1 && size(this) <= 500
task: optional object { command }

WorkflowTaskStep represents a task step that executes a command.

command: optional string

Command must be between 1 and 20,000 characters:

size(this) >= 1 && size(this) <= 20000
stepIndex: optional number

Index of the step in the workflow action steps array

formatint32
warnings: optional array of object { code, message, meta, 2 more }

Structured warnings about the workflow execution action. Provides detailed warning codes and messages.

code: optional "WORKFLOW_ERROR_CODE_UNSPECIFIED" or "WORKFLOW_ERROR_CODE_ENVIRONMENT_ERROR" or "WORKFLOW_ERROR_CODE_AGENT_ERROR"

Error code identifying the type of error.

One of the following:
"WORKFLOW_ERROR_CODE_UNSPECIFIED"
"WORKFLOW_ERROR_CODE_ENVIRONMENT_ERROR"
"WORKFLOW_ERROR_CODE_AGENT_ERROR"
message: optional string

Human-readable error message.

meta: optional map[string]

Additional metadata about the error. Common keys include:

  • environment_id: ID of the environment
  • task_id: ID of the task
  • service_id: ID of the service
  • workflow_id: ID of the workflow
  • workflow_execution_id: ID of the workflow execution
reason: optional string

Reason explaining why the error occurred. Examples: “not_found”, “stopped”, “deleted”, “creation_failed”, “start_failed”

retry: optional object { retriable, retryAfter }

Retry configuration. If not set, the error is considered non-retriable.

retriable: optional boolean

Whether the error is retriable.

retryAfter: optional string

Suggested duration to wait before retrying. Only meaningful when retriable is true.

formatregex

ListWorkflowExecutionActions

curl https://app.gitpod.io/api/gitpod.v1.WorkflowService/ListWorkflowExecutionActions \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "workflowExecutionActions": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "metadata": {
        "actionName": "actionName",
        "finishedAt": "2019-12-27T18:11:19.117Z",
        "startedAt": "2019-12-27T18:11:19.117Z",
        "workflowExecutionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "workflowId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
      },
      "spec": {
        "context": {
          "contextUrl": {
            "environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            "url": "https://example.com"
          },
          "environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "projectId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "pullRequest": {
            "id": "id",
            "author": "author",
            "draft": true,
            "fromBranch": "fromBranch",
            "repository": {
              "cloneUrl": "cloneUrl",
              "host": "host",
              "name": "name",
              "owner": "owner"
            },
            "state": "STATE_UNSPECIFIED",
            "title": "title",
            "toBranch": "toBranch",
            "url": "url"
          }
        },
        "desiredPhase": "WORKFLOW_EXECUTION_ACTION_PHASE_UNSPECIFIED",
        "limits": {
          "maxTime": "+9125115.360s"
        },
        "session": "session"
      },
      "status": {
        "agentExecutionId": "agentExecutionId",
        "environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "failureMessage": "failureMessage",
        "failures": [
          {
            "code": "WORKFLOW_ERROR_CODE_UNSPECIFIED",
            "message": "message",
            "meta": {
              "foo": "string"
            },
            "reason": "reason",
            "retry": {
              "retriable": true,
              "retryAfter": "+9125115.360s"
            }
          }
        ],
        "phase": "WORKFLOW_EXECUTION_ACTION_PHASE_UNSPECIFIED",
        "session": "session",
        "stepStatuses": [
          {
            "error": {
              "code": "WORKFLOW_ERROR_CODE_UNSPECIFIED",
              "message": "message",
              "meta": {
                "foo": "string"
              },
              "reason": "reason",
              "retry": {
                "retriable": true,
                "retryAfter": "+9125115.360s"
              }
            },
            "failureMessage": "failureMessage",
            "finishedAt": "2019-12-27T18:11:19.117Z",
            "phase": "STEP_PHASE_UNSPECIFIED",
            "startedAt": "2019-12-27T18:11:19.117Z",
            "step": {
              "agent": {
                "prompt": "prompt"
              },
              "pullRequest": {
                "branch": "branch",
                "description": "description",
                "draft": true,
                "title": "title"
              },
              "report": {
                "outputs": [
                  {
                    "acceptanceCriteria": "acceptanceCriteria",
                    "boolean": {},
                    "command": "command",
                    "float": {
                      "max": 0,
                      "min": 0
                    },
                    "integer": {
                      "max": 0,
                      "min": 0
                    },
                    "key": "key",
                    "prompt": "prompt",
                    "string": {
                      "pattern": "pattern"
                    },
                    "title": "title"
                  }
                ]
              },
              "task": {
                "command": "command"
              }
            },
            "stepIndex": 0
          }
        ],
        "warningMessage": "warningMessage",
        "warnings": [
          {
            "code": "WORKFLOW_ERROR_CODE_UNSPECIFIED",
            "message": "message",
            "meta": {
              "foo": "string"
            },
            "reason": "reason",
            "retry": {
              "retriable": true,
              "retryAfter": "+9125115.360s"
            }
          }
        ]
      }
    }
  ]
}
Returns Examples
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "workflowExecutionActions": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "metadata": {
        "actionName": "actionName",
        "finishedAt": "2019-12-27T18:11:19.117Z",
        "startedAt": "2019-12-27T18:11:19.117Z",
        "workflowExecutionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "workflowId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
      },
      "spec": {
        "context": {
          "contextUrl": {
            "environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            "url": "https://example.com"
          },
          "environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "projectId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "pullRequest": {
            "id": "id",
            "author": "author",
            "draft": true,
            "fromBranch": "fromBranch",
            "repository": {
              "cloneUrl": "cloneUrl",
              "host": "host",
              "name": "name",
              "owner": "owner"
            },
            "state": "STATE_UNSPECIFIED",
            "title": "title",
            "toBranch": "toBranch",
            "url": "url"
          }
        },
        "desiredPhase": "WORKFLOW_EXECUTION_ACTION_PHASE_UNSPECIFIED",
        "limits": {
          "maxTime": "+9125115.360s"
        },
        "session": "session"
      },
      "status": {
        "agentExecutionId": "agentExecutionId",
        "environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "failureMessage": "failureMessage",
        "failures": [
          {
            "code": "WORKFLOW_ERROR_CODE_UNSPECIFIED",
            "message": "message",
            "meta": {
              "foo": "string"
            },
            "reason": "reason",
            "retry": {
              "retriable": true,
              "retryAfter": "+9125115.360s"
            }
          }
        ],
        "phase": "WORKFLOW_EXECUTION_ACTION_PHASE_UNSPECIFIED",
        "session": "session",
        "stepStatuses": [
          {
            "error": {
              "code": "WORKFLOW_ERROR_CODE_UNSPECIFIED",
              "message": "message",
              "meta": {
                "foo": "string"
              },
              "reason": "reason",
              "retry": {
                "retriable": true,
                "retryAfter": "+9125115.360s"
              }
            },
            "failureMessage": "failureMessage",
            "finishedAt": "2019-12-27T18:11:19.117Z",
            "phase": "STEP_PHASE_UNSPECIFIED",
            "startedAt": "2019-12-27T18:11:19.117Z",
            "step": {
              "agent": {
                "prompt": "prompt"
              },
              "pullRequest": {
                "branch": "branch",
                "description": "description",
                "draft": true,
                "title": "title"
              },
              "report": {
                "outputs": [
                  {
                    "acceptanceCriteria": "acceptanceCriteria",
                    "boolean": {},
                    "command": "command",
                    "float": {
                      "max": 0,
                      "min": 0
                    },
                    "integer": {
                      "max": 0,
                      "min": 0
                    },
                    "key": "key",
                    "prompt": "prompt",
                    "string": {
                      "pattern": "pattern"
                    },
                    "title": "title"
                  }
                ]
              },
              "task": {
                "command": "command"
              }
            },
            "stepIndex": 0
          }
        ],
        "warningMessage": "warningMessage",
        "warnings": [
          {
            "code": "WORKFLOW_ERROR_CODE_UNSPECIFIED",
            "message": "message",
            "meta": {
              "foo": "string"
            },
            "reason": "reason",
            "retry": {
              "retriable": true,
              "retryAfter": "+9125115.360s"
            }
          }
        ]
      }
    }
  ]
}